:root {
  --theme-color-1: #F8F8F8;
  --theme-color-2: #EAEAED;
  --theme-color-3: #3DD095;
  --theme-color-4: #282939;
  --theme-primary: #015cbb;
}

body {
  margin: 0;
  font-family: Onest, sans-serif;
  color: #223;

  code, pre {
    background-color: var(--theme-color-2);
    padding: 2px 4px;
    border-radius: 4px;
  }

  h1 {
    font-size: 48px;
  }

  h2 {
    font-size: 36px;
  }

  h3 {
    font-size: 24px;
  }

  a:link, a:visited {
    color: var(--theme-primary);
    text-decoration: none;
  }

  a:hover {
    text-decoration: underline;
  }
}

#body-sidebar {
  height: 100%;
  width: 320px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #313347;
  overflow-x: hidden;
  color: var(--theme-color-1);
  font-size: 120%;

  a:link, a:visited {
    color: var(--theme-color-2);
  }
  a:hover {
    color: white;
  }
  ul {
    padding-left: 0px;
  }
  li {
    list-style-type: none;
  }

  .banner-bar {
    background-color: var(--theme-color-4);


    img.logo {
      width: 48px;
      height: 48px;
      margin-right: 16px;
    }
  }
}

#body-content {
  margin-left: 320px;

  .banner-bar {
    background-color: var(--theme-color-2);
    color: #313347;
  }
}

@media only screen and (max-width: 800px) {
  #body-sidebar {
    width: 100%;
    position: relative;
  }
  #body-content {
    margin-left: 0;

    .banner-bar {
      display: none;
    }
  }
}

.content-wrapper {
  padding: 24px;
}

.banner-bar {
  padding: 0px 24px;
  height: 96px;
  display: flex;
  align-items: center;

  span.title {
    font-weight: 800;
    font-size: 32px;
  }
}

.company-name {
  text-transform: lowercase;
  font-weight: 800;
  font-size: 125%;

  .title-cloud {
    color: var(--theme-primary);
  }

  .title-pave {
    color: var(--theme-color-3);
  }
}

#body-sidebar {
  .nav {
    li.current {
      font-weight: bold;
    }
    li {
      height: 36px;
    }
  }
}

#page-content {
  max-width: 1200px;
  font-size: 120%;
}

#page-footer {
  max-width: 1200px;
  padding: 48px 24px 96px 24px;
}
